# Generated by Django 5.0.4 on 2024-04-29 13:08

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='ParseErrorLog',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.CharField(default='', max_length=127)),
                ('message', models.CharField(default='', max_length=512)),
                ('traceback', models.TextField()),
                ('created_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'verbose_name': 'ParserErrorLog',
            },
        ),
        migrations.CreateModel(
            name='ParseQueueSession',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now=True)),
                ('is_done', models.BooleanField(default=False)),
            ],
            options={
                'verbose_name': 'ParseQueueSession',
            },
        ),
        migrations.CreateModel(
            name='QueueElement',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.CharField(max_length=127)),
                ('language', models.CharField(max_length=2)),
                ('created_at', models.DateTimeField(auto_now=True)),
                ('is_done', models.BooleanField(default=False)),
                ('parse_session', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='icd_parser.parsequeuesession')),
            ],
            options={
                'verbose_name': 'ParseQueueSession',
                'unique_together': {('parse_session', 'language', 'url')},
            },
        ),
    ]
